<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Belajar Component Vue js</title>
</head>
<body>

    <div id="app">
        <h1>Blog yang di pilih: {{selectedBlog}}</h1>

        <blog-message v-for="blog in blogs"  v-bind:blog="blog" v-on:selected="selectedBlog= $event" ></blog-message>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"> </script>


    <script type="module">

        import {BlogComponent} from "./BlogComponent.js"

      

      var vm=  new Vue({
            el:"#app",
            components:{

                'blog-message':BlogComponent

            },
            data:{
                blogs:[
                    {
                        title:"Judul 1",
                        content:"Content 1"
                    },
                    {
                        title:"Judul 2",
                        content:"Content 2"
                    },
                    {
                        title:"Judul 3",
                        content:"Content 3"
                    }
                ],
                selectedBlog:""
            }
        
        })
    </script>

    
</body>
</html>